summaryrefslogtreecommitdiff
path: root/dev-python/nvidia-ml-py
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/nvidia-ml-py
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/nvidia-ml-py')
-rw-r--r--dev-python/nvidia-ml-py/Manifest2
-rw-r--r--dev-python/nvidia-ml-py/metadata.xml19
-rw-r--r--dev-python/nvidia-ml-py/nvidia-ml-py-12.575.51.ebuild43
-rw-r--r--dev-python/nvidia-ml-py/nvidia-ml-py-13.590.44.ebuild43
4 files changed, 107 insertions, 0 deletions
diff --git a/dev-python/nvidia-ml-py/Manifest b/dev-python/nvidia-ml-py/Manifest
new file mode 100644
index 000000000000..27416852ba28
--- /dev/null
+++ b/dev-python/nvidia-ml-py/Manifest
@@ -0,0 +1,2 @@
+DIST nvidia_ml_py-12.575.51.tar.gz 46597 BLAKE2B 55e7a3dbced43e0bd0b37d9d1d9b11718ac6a37173af290e1f3507eb9c165fe049fe1d5422171374fc2e6b9471bb46c70ed84509e9d381e0aeec0ef00c763c38 SHA512 3132e9d8e601e88f036188f026ea5e6f0ae0358a8a381d2e8dcb363d4fe1f8aecbb31e0fb72555e32991df6c4c86c8c1713002f47094dc9afebd58c1cde1d2e2
+DIST nvidia_ml_py-13.590.44.tar.gz 49737 BLAKE2B 17b8df0c7b17c42911f51db29db35ee978c0cb126a4b5a9066f0549df92acdb5eae5561444f4a723bfef9acc3820e100cece2846e0b3cd877afce6be4c66bc86 SHA512 eab1e32ad55d5bf3c77cde68e48aa59e620a18a0394678950cea2998b28ed283d86f35722e767c0904c2a1515c7c52ee06efe2cc1ce5d97f757c0516b5688d91
diff --git a/dev-python/nvidia-ml-py/metadata.xml b/dev-python/nvidia-ml-py/metadata.xml
new file mode 100644
index 000000000000..d9d46e32081e
--- /dev/null
+++ b/dev-python/nvidia-ml-py/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>zhixu.liu@gmail.com</email>
+ <name>Z. Liu</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <longdescription lang="en">
+ Provides a Python interface to GPU management and monitoring functions.
+ This is a wrapper around the NVML library. For information about the NVML
+ library, see the NVML developer page
+ http://developer.nvidia.com/nvidia-management-library-nvml
+ </longdescription>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/nvidia-ml-py/nvidia-ml-py-12.575.51.ebuild b/dev-python/nvidia-ml-py/nvidia-ml-py-12.575.51.ebuild
new file mode 100644
index 000000000000..0dd328f6d75d
--- /dev/null
+++ b/dev-python/nvidia-ml-py/nvidia-ml-py-12.575.51.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN/-/_}
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings to the NVIDIA Management Library"
+HOMEPAGE="
+ https://pypi.org/project/nvidia-ml-py/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64"
+IUSE="examples"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ x11-drivers/nvidia-drivers
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ # don't install example.py
+ sed -i "s/, 'example'//g" setup.py || die
+
+ default
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ dodoc -r example.py
+ fi
+}
diff --git a/dev-python/nvidia-ml-py/nvidia-ml-py-13.590.44.ebuild b/dev-python/nvidia-ml-py/nvidia-ml-py-13.590.44.ebuild
new file mode 100644
index 000000000000..ce67b3ffac82
--- /dev/null
+++ b/dev-python/nvidia-ml-py/nvidia-ml-py-13.590.44.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN/-/_}
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings to the NVIDIA Management Library"
+HOMEPAGE="
+ https://pypi.org/project/nvidia-ml-py/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ x11-drivers/nvidia-drivers
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ # don't install example.py
+ sed -i "s/, 'example'//g" setup.py || die
+
+ default
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ dodoc -r example.py
+ fi
+}